section#listings.grid div.banner-in-grid {
    display: inline-block;
}
div.banner-in-grid > div.banner-space {
    height: 90px;
    margin-bottom: 30px;
}
/*** FEATURED LISTINGS BOX ***/
ul.featured > li {
    margin-bottom: 20px;
    overflow: hidden;
    position: relative;
    padding-left: 5px;
    padding-right: 5px;
}
ul.featured {
    margin-left: -5px;
    margin-right: -5px;
}
ul.featured > li > .picture {
    position: relative;
    width: 100%;
    padding-bottom: 135%;
    border: 2px white solid;
    border-radius: 5px;
}
ul.featured > li img {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    background: url('../img/no-picture.svg') center center no-repeat rgba(146,47,157,.2);
    border-radius: 3px;
}
.listing-fit-contain ul.featured > li img {
    object-fit: contain !important;
}
.listing-fit-contain ul.featured > li:not(.no-picture) img {
    background: rgba(146,47,157,.2) !important;
}
.upload-files div span.item {
    padding-bottom: 135% !important;
}
ul.featured:not(.list) > li ul > li.price_tag {
    line-height: 30px;
    height: 30px;
    position: absolute;
    top: 5px;
    color: #4d4d4d;
    font-size: 1.286em;
    font-weight: 400;
    white-space: nowrap;
}
ul.featured:not(.list) > li > ul {
    position: relative;
    padding-top: 40px;
}
ul.featured:not(.list) > li > ul.no-price {
    padding-top: 8px;
}
ul.featured > li > ul > li {
    padding: 0 0 5px 0;
}
ul.featured > li > ul > li a {
    font-size: 1.429em;
}
/*** FEATURED LISTINGS BOX END ***/
/*** GRID NAVIGATION BAR ***/
.grid_navbar {
    height: 44px;
    border: 2px #FC2532 solid;
    line-height: 40px;
    margin-bottom: 20px;
    border-radius: 5px;
}
.grid_navbar .switcher {
    float: right;
    padding: 2px;
    line-height: normal;
    height: 36px;
}
.grid_navbar .switcher > div {
    display: inline-block;
    height: 36px;
    line-height: 36px;
}
.grid_navbar .hook {
    vertical-align: top;
}
.grid_navbar .buttons > div {
    width: 36px;
    height: 36px;
    display: inline-block;
    margin-left: 2px;
    cursor: pointer;
    vertical-align: top;
}
.grid_navbar .buttons > div.active span,
.grid_navbar .buttons > div:hover span {
    background: #FC2532;
}
.grid_navbar .buttons > div > div {
    width: 18px;
    height: 18px;
    margin: 9px;
    line-height: 0;
}
.grid_navbar .buttons > div > div > span {
    display: inline-block;
    vertical-align: top;
}

/* grid view */
.grid_navbar div.grid > div > span {
    width: 8px;
    height: 8px;
    box-shadow: inset 0 0 0 2px #FC2532;
    border-radius: 2px;
}
.grid_navbar div.grid > div > span:nth-child(2n) {
    margin: 0 0 2px 2px;
}
/* map view */
.grid_navbar div.map > div {
    margin: 9px 10px;
    width: 16px;
}
.grid_navbar div.map > div > span {
    width: 16px;
    height: 18px;
    background: url('../img/gallery.png') 0 -67px no-repeat;
}
.grid_navbar div.map:hover span,
.grid_navbar div.map.active span {
    background: url('../img/gallery.png') -24px -67px no-repeat;
}

/* sroting */
.grid_navbar .sorting {
    display: inline-block;
    position: absolute;
}
.grid_navbar .sorting > div.current.disabled {
    opacity: 0.3;
    cursor: default;
    background: #fff0ff;
}
.grid_navbar .sorting > div.current.disabled span.link {
    color: inherit;
}
.grid_navbar .current {
    padding: 0 20px 0 18px;
    cursor: pointer;
    -moz-user-select: none;
    -webkit-user-select: none;
    border-radius: 3px;
}
.grid_navbar .current.active {
    background: #f9dbf1;
}
.grid_navbar .sorting span.link {
    display: inline-block;
}
.grid_navbar .sorting span.arrow {
    width: 12px;
    height: 8px;
    display: inline-block;
    margin: 0 0 0 5px;
    background: url('../img/gallery.png') -23px -1404px no-repeat;
}

.grid_navbar .sorting .active span.arrow {
    background-position: -23px -1438px;
}
.grid_navbar ul.fields {
    z-index: 10;
    background: #f9dbf1;
    position: absolute;
    top: 40px;
    left: 0;
    display: none;
    padding: 3px 0 5px;
    min-width: 100%;
}
.grid_navbar ul.fields > li {
    padding: 0 20px;
    white-space: nowrap;
}
.grid_navbar ul.fields > li a.active {
    color: #2b2b2b;
}
/*** GRID NAVIGATION BAR END ***/

/*** LISTINGS GRID ***/
section#listings  article {
    position: relative;
}
section#listings div.picture {
    position: relative;
    width: 100%;
    padding-bottom: 135%;
    border: 2px white solid;
    border-radius: 5px;
}
section#listings div.picture picture > source,
section#listings div.picture picture > img {
    border-radius: 3px;
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    background: url(../img/no-picture.svg) center center no-repeat rgba(255,255,255,.5);
}
.listing-fit-contain div.picture > img {
    object-fit: contain !important;
}

.listing-fit-contain div.picture:not(.no-picture) > img {
    background: rgba(146,47,157,.2) !important;
}
section#listings div.picture > span {
    min-width: 24px;
    height: 24px;
    padding: 0 4px;
    position: absolute;
    bottom: 4px;
    left: 4px;
    color: #000;
    box-shadow: inset 0 0 0 2px white;
    border-radius: 3px;
    text-align: center;
    line-height: 24px;
    cursor: pointer;
}
section#listings div.picture > span.count-pic > span {
    width: 100%;
    height: 100%;
    top: -4px;
    right: -4px;
    position: absolute;
    border-radius: 3px;
    background: white;
}
section#listings ul.nav-column > li span.icon,
section#listings ul.nav-column > li > a {
    opacity: 0.7;
}
section#listings ul.nav-column > li:hover span.icon,
section#listings ul.nav-column > li > a:hover {
    opacity: 1;
}
section#listings ul.nav-column > li span.icon {
    width: 18px;
    height: 18px;
    display: inline-block;
}
section#listings ul.nav-column > li.favorite span.icon {
    background: url('../img/gallery.png') 0 -93px no-repeat;
}
section#listings ul.nav-column > li.favorite.remove span.icon {
    background-position: -22px -93px;
}
.status_online {
    display: inline-block;
    background: #ff3f40;
    width: 13px;
    height: 13px;
    border-radius: 50%;
}
.status_online.status_mode-1 {
    background-color: #00b654;
}
.view-details-page .status_online {
    vertical-align: text-top;
}
/*.status_online.status_mode-1 {
    animation: blink 1s infinite;
}
@keyframes blink{
    0%    { background-color: #00b654;}
    100%  { background-color: gray;}
}*/

/* featured */
article.featured div.picture > div.label {
    position: absolute;
    left: 0;
    top: 0;
    padding: 0;
    font-size: 0.929em;
    border-radius: 0 0 6px 0;
    z-index: 1;
}
article.paid div.picture > div.label,
article.featured div.picture > div.label {
    position: absolute;
    left: 3px;
    top: 3px;
    width: 35px;
    padding: 0;
    font-size: 0.929em;
    border-radius: 0 0 6px 0;
    z-index: 1;
}
article div.label_new img,
article div.picture > div.label_not_verified img,
article div.picture > div.label_video img,
article.paid div.picture > div.label img,
article.featured div.picture > div.label img {
    position: relative!important;
    border: 0px!important;
    box-shadow: none!important;
    width: 100%;
    height: 100%;
}
article div.label_new {
    position: absolute;
    right: -1px;
    top: -1px;
    width: 60px;
    padding: 0;
    border-radius: 0 0 6px 0;
    z-index: 1;
}
article div.label_custom,
article div.label_custom1 {
    position: absolute; 
    max-width: 50px;
    right: 4px; 
    bottom: 4px; 
    border-radius: 3px; 
    border: 1px solid #fff;
    background: #fefefe;
    padding: 3px;
    color: black;
}
article div.label_custom1 {
    bottom: 35px;
}

article div.label_video {
    position: absolute;
    left: 3px;
    top: 3px;
    width: 35px;
    padding: 0;
    border-radius: 0 0 6px 0;
    z-index: 1;
}
article div.label_not_verified {
    position: absolute;
    right: 2px;
    top: 4px;
    width: 32px;
    padding: 0;
    border-radius: 0;
    z-index: 1;
}
article div.label_video.lbverified,
article.paid div.label_video,
article.featured div.label_video {
    top: 40px;
}
article.paid div.label_video.lbverified,
article.featured div.label_video.lbverified {
    top: 77px;
}

article .empty_box {
    /* height: 100%;
    min-height: 100px; */
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 0 5px;
    font-weight: bold;
}
/* featured end */

/* grid view */
section#listings.grid article {
    margin-bottom: 30px;
}
section#listings.grid div.data-container div.two-inline > div:first-child {
    padding-top: 2px;
}
section#listings.grid div.price-tag {
    font-size: 1.214em;
    white-space: nowrap;
    padding: 0 10px 0 0;

    font-weight: 400;
}
section#listings.grid article div.picture {
    margin-bottom: 0px;
}
section#listings.grid ul.info {
    clear: both;
    position: relative;
}
section#listings.grid a.link-large,
section#listings.grid .item.featured a.link-large {
    font-size: 1.3em!important;
    color: #000;
}

section#listings .item > div.main-column {
    border: 1px solid #ddd;
    padding: 5px 0 0;
    background: #fff;
    border-radius: 5px;
    height: 100%;
}
section#listings .listing_advertising.item > div.main-column {
    padding: 0;
}
section#listings .table-cell > div.name {
    width: 70px;
    color: #71717b;
}
section#listings .table-cell > div.name + .value {
    text-align: right;
    color: #000;
}
section#listings .table-cell > div.name + .value.red {
    color: #939393;
}
section#listings .description {
    padding: 10px;
}
section#listings .dots {
    border-top: 1px solid #f0f2f4;
    margin: 5px 0 8px;
}
section#listings  div.field_listing {
    flex: 1;
    min-width: 0;
    overflow: hidden;
}

section#listings .fields > .table-cell {
    padding: 2px;
}
section#listings .fields > .table-cell:nth-child(odd) {
    background-color: #f2f3f5;
}
section#listings .table-cell > div.name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
section#listings.grid:not(.no-image) ul.info > li.fields.metro_link {
    padding: 0;
}
section#listings li.fields.phone_number {
    padding: 3px 0;
}
section#listings  div.field_listing > * {
    font-size: 0.929em;
    vertical-align: top;
    padding-bottom: 5px;
    font-weight: normal!important;
    line-height: normal;
    min-height: inherit;
}
section#listings  div.field_listing > .name:after {
    content: ':';
}
section#listings  div.field_listing > .value {
    overflow: hidden;
    text-align: right;
}

section#listings .description > div {
    margin-top: 0px;
    padding-top: 10px;
    border-top: 1px dotted #999;
    color: #999;
    font-weight: 400;
    font-size: 13px;
    min-height: 65px;

    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}
.details div.fields.metro_link,
section#listings li.fields.metro_link {
    overflow: hidden;
    white-space: normal;
    text-overflow: ellipsis;
    display: flex;
}
section#listings li.fields.metro_link >  img.metro_icon,
.details div.fields.metro_link > img.metro_icon {
    margin: 2px 5px 2px 0;
}
section#listings.grid ul.info > li.title {
    padding-right: 25px;
    overflow: hidden;
    text-overflow: ellipsis;
}
section#listings.grid ul.info > li a {
    color: #000;
}
section#listings.grid:not(.no-image) ul.info > li.fields {
    padding-top: 3px;
}
section#listings.grid:not(.no-image) ul.info > li.fields > span:not(:last-child):after {
    content: ',';
}
section#listings.grid ul.info > li.middle > .nav-column > li.favorite {
    position: absolute;
    top: 2px;
    right: 2px;
    cursor: pointer;
}
section#listings.grid ul.nav-column > li span.link,
section#listings ul.nav-column > a {
    display: none;
}
section#listings div.data-container > div.two-inline {
    margin-bottom: 6px;
}
/* grid view end */
section#listings .two-inline-list {
    display: flex;
}
section#listings .two-inline-list > div{
    padding: 0 5px;
    width: 50%;
}
section#listings .two-inline-list > div:last-child {
    padding: 0 5px 0 0px;
}

section#listings.grid article.listing_advertising ul.info > li.middle > .nav-column > li.favorite {
   right: 5px;
}
section#listings > article.listing_advertising .info {
    padding: 0 10px 10px;
}
section#listings.grid article.listing_advertising.full-place {
    flex: 100%;
    min-width: 100%;
}
section#listings.grid article {
    margin-bottom: 5px;
}
/* no image list view end */
section#listings div.table-cell > div.name,
section#listings div.table-cell > div.value {
    font-family: "MuseoSansBold", 'Trebuchet MS',sans-serif;
}
section#listings div.table-cell > div.name + div.value {
    white-space: nowrap;
}

@media screen and (min-width: 992px) { 
    section#listings.grid article.listing_advertising.small-place {
        font-size: 10px;
    }
    section#listings.grid article.listing_advertising.small-place img.metro_icon {
        width: 11px;
    }
    section#listings.grid article.listing_advertising.small-place .phone_number-view.phone_number div.active svg.svg_phone, 
    section#listings.grid article.listing_advertising.small-place .phone_number-view.phone_number div svg.svg_phone {
        width: 11px;
    }   
    section.side_block ul.featured {
        text-align: center;
        margin: 0;
    }
    section.side_block ul.featured > li {
        padding: 0;
        float: none;
        display: inline-block;
        max-width: 184px;
        width: 100%;
    }
    section.side_block ul.featured:not(.list) > li ul {
        width: 100%;
        text-align: initial;
    }
}
/*** TABLET VIEW ***/
@media screen and (min-width: 768px) and (max-width: 991px) {
    section#listings.grid article.listing_advertising.full-place,
    section#listings.grid article.listing_advertising {
        flex: 50%;
        min-width: 50%;
        padding: 0 3px
    }
    /*section#listings.grid article.listing_advertising.full-place {
        flex: 100%;
        min-width: 100%;
    }*/

    section#listings.grid div.price-tag {
        font-size: 1.500em;
    }

    /* no image grid view */
    section#listings.grid.no-image article {
        width: 339px;
    }
    section#listings.grid.no-image article:nth-child(2n+1):not(:first-child):before {
        width: 738px;
    }
    /* no image grid view end */
    
    ul.featured {
        margin-left: -10px;
        margin-right: -10px;
    }
    ul.featured > li {
        padding-left: 10px;
        padding-right: 10px;
    }
    section.side_block ul.featured div.picture img {
        background-size: 100% auto;
    }
    section.side_block ul.featured:not(.list) > li ul {
        width: 100%;
        text-align: initial;
    }
}
/*** MOBILE VIEW ***/
@media screen and (max-width: 767px) {
    article div.picture > div.label_video,
    article.paid div.picture > div.label,
    article.featured div.picture > div.label {
        width: 35px;
    }
    section#listings div.table-cell > div.name,
    section#listings div.table-cell > div.value {
        font-weight: bold!important;
    }
    section#listings .description {
        display: none;
    }
    #listings .phone_number-view a {
        font-size: 0.91em;
    }
    section#listings.grid article.listing_advertising.full-place.featured a.link-large{
        display: block;
    }
    section#listings.grid article.listing_advertising.full-place,
    section#listings.grid article.listing_advertising {
        flex: 50%;
        min-width: 50%;
        padding: 0 3px
    }
    /* listings grid view */
    section#listings.grid {
        padding: 0 5px;
    }
    section#listings.grid article {
        width: 100%;
        padding: 0;
        margin-bottom: 5px;
    }
    section#listings.grid div.picture > img {
        width: 100%;
    }
    ul.availability-chart > li > div:first-child {
        width: 120px;
    }
    ul.escort-rates-chart > li > div:first-child {
        width: 65%;
    }
    /* listings grid view end */
    ul.featured > li:nth-child(2n+1) {
        clear: both;
    }
    /* no image grid view */
    
    section#listings.grid.no-image {
        padding: 0 20px;
    }
    section#listings.grid.no-image article {
        width: 100%;
        padding: 0 0 20px 0;
        box-shadow: inset 0 -1px 0 #e3e3e3;
        margin-bottom: 20px;
    }
    section#listings.grid.no-image article:nth-child(2n) {
        padding-left: 0;
        box-shadow: inset 0 -1px 0 #e3e3e3;
        margin-left: 0;
    }
    section#listings.grid.no-image article:nth-child(2n+1):not(:first-child):before {
        display: none;
    }
    section#listings.grid.no-image article:last-child {
        margin-bottom: 0;
        box-shadow: none;
    }
    /* no image grid view end */
}
@media screen and (max-width: 383px) {
    ul.featured > li,
    section#listings.grid article {
        width: 100%;
        margin-right: 0;
    }
}
/*** PIXEL RATIO 1.5 ***/
@media only screen and (-webkit-min-device-pixel-ratio: 1.5),
only screen and (min--moz-device-pixel-ratio: 1.5),
only screen and (min-device-pixel-ratio: 1.5),
only screen and (min-resolution: 144dpi) {
    section#listings ul.nav-column > li.favorite span.icon {
        background: url('../img/@2x/gallery2.png') 0 -468px no-repeat;
        background-size: 40px auto;
    }
    section#listings ul.nav-column > li.favorite.remove span.icon{
        background-position: right -468px;
    }
    div#picture_locked img {
        background-image: url('../img/@2x/locked-large.png');
        background-size: 96px auto;
    }
    section#listings div.picture > img {
        background-image: url('../img/no-picture.png');
        background-size: 190px auto;
    }
    section#listings ul.nav-column > li.add_to_compare span.icon {
        background: url('../img/@2x/gallery2.png') 0 -926px no-repeat!important;
        background-size: 40px auto!important;
    }
    section#listings ul.nav-column > li.remove_from_compare  span.icon {
        background: url('../img/@2x/gallery2.png') right -926px no-repeat!important;
        background-size: 40px auto!important;
    }
    section#listings ul.nav-column > li.bids > a:after {
        background: url('../img/@2x/gallery2.png') 0 -948px no-repeat!important;
        background-size: 40px auto!important;
    }
}
